Reference
Scripts and media
Reference generated from the OpenAPI contract: Scripts and media.
Les scripts de vente d'une créatrice
GET /public/v1/creators/{creator_id}/scripts · listScripts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
creator_id | path | string | yes | Identifiant de la créatrice. |
platform | query | "mym" | "telegram" | "onlyfans" | "fanvue" | no | (default : mym) |
Response 200
Page_Script_
| Field | Type | Required | Description |
|---|---|---|---|
items | Script[] | yes | |
nextCursor | string | null | no | À repasser en cursor pour lire la page suivante ; null = dernière page. |
Script
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
name | string | yes | |
description | string | yes | |
enabled | boolean | yes | |
stepsCount | integer | yes | |
mediaCount | integer | yes | |
folderId | string | null | yes |
Possible errors
401 · 403 · 404 · 422 · 429 · 503 — Error format: Errors.
Example
curl -X GET "https://app.fanconvert.ai/public/v1/creators/{creator_id}/scripts" \
-H "Authorization: Bearer $FANCONVERT_API_KEY"La médiathèque d'une créatrice
GET /public/v1/creators/{creator_id}/media · listMedia
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
creator_id | path | string | yes | Identifiant de la créatrice. |
platform | query | string | no | La médiathèque n'existe que sur MYM. (default : mym) |
Response 200
Page_MediaPack_
| Field | Type | Required | Description |
|---|---|---|---|
items | MediaPack[] | yes | |
nextCursor | string | null | no | À repasser en cursor pour lire la page suivante ; null = dernière page. |
MediaPack
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | |
name | string | yes | |
description | string | yes | |
fileCount | integer | yes |
Possible errors
401 · 403 · 404 · 422 · 429 · 503 — Error format: Errors.
Example
curl -X GET "https://app.fanconvert.ai/public/v1/creators/{creator_id}/media" \
-H "Authorization: Bearer $FANCONVERT_API_KEY"Last updated on